Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/changemanagement/postapi-v-1-change-management-changes

# Create Change in workspace

POST `https://{tenant}.atomicwork.com/api/v1/change-management/changes`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Query Parameters

#### problem\_display\_id (query, string)

## Body

#### created\_by (body, integer)

#### requester (body, integer)

#### owner (body, integer)

#### agent\_group (body, integer)

#### assignee (body, integer)

#### change\_type (body, string)

#### change\_template (body, integer, required)

#### change\_start\_date (body, string)

#### change\_completion\_date (body, string)

#### planned\_change\_start\_date (body, string)

#### planned\_change\_completion\_date (body, string)

#### actual\_change\_start\_date (body, string)

#### actual\_change\_completion\_date (body, string)

#### subject (body, string, required)

#### priority (body, string)

#### status (body, string)

#### impact (body, string)

#### urgency (body, string)

#### parent\_change\_id (body, integer)

#### parent\_display\_id (body, string)

Formatted display ID of the parent (e.g. CHG-5 or REQ-123)

#### parent\_request\_type (body, string)

Entity type of the parent (CHANGE or REQUEST)

#### description (body, string)

#### attachments (body, array of integer)

#### tags (body, array of integer)

#### workspace\_id (body, integer)

#### assets (body, array of integer)

#### linked\_requests (body, array of string)

#### custom\_fields (body, object)

#### template\_fields (body, object)

#### notes (body, array of object)

#### properties

#### user\_id (integer)

#### description (string)

#### mentions (array of integer)

#### is\_private (boolean)

#### source (enum (string))

#### type (enum (string))

#### attachments (array of integer)

#### conversation\_info (body, object)

#### properties

#### channel\_name (string)

#### channel\_id (string)

#### start\_timestamp (string, required)

#### created\_at (body, string)

#### updated\_at (body, string)

#### external\_id (body, string)

#### external\_source (body, enum (string))

#### external\_system\_entity\_reference (body, object)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/change-management/changes' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"created_by": 0, "requester": 0, "owner": 0, "agent_group": 0, "assignee": 0, "change_type": "string", "change_template": 0, "change_start_date": "date-time", "change_completion_date": "date-time", "planned_change_start_date": "date-time", "planned_change_completion_date": "date-time", "actual_change_start_date": "date-time", "actual_change_completion_date": "date-time", "subject": "string", "priority": "string", "status": "string", "impact": "string", "urgency": "string", "parent_change_id": 0, "parent_display_id": "string", "parent_request_type": "string", "description": "string", "attachments": [0], "tags": [0], "workspace_id": 0, "assets": [0], "linked_requests": ["string"], "custom_fields": {}, "template_fields": {}, "notes": [{"user_id": 0, "description": "string", "mentions": ["\u2026"], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": ["\u2026"]}], "conversation_info": {"channel_name": "string", "channel_id": "string", "start_timestamp": "unix-timestamp"}, "created_at": "date-time", "updated_at": "date-time", "external_id": "string", "external_source": "SAAS_GENIE", "external_system_entity_reference": {}}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/change-management/changes', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"created_by": 0, "requester": 0, "owner": 0, "agent_group": 0, "assignee": 0, "change_type": "string", "change_template": 0, "change_start_date": "date-time", "change_completion_date": "date-time", "planned_change_start_date": "date-time", "planned_change_completion_date": "date-time", "actual_change_start_date": "date-time", "actual_change_completion_date": "date-time", "subject": "string", "priority": "string", "status": "string", "impact": "string", "urgency": "string", "parent_change_id": 0, "parent_display_id": "string", "parent_request_type": "string", "description": "string", "attachments": [0], "tags": [0], "workspace_id": 0, "assets": [0], "linked_requests": ["string"], "custom_fields": {}, "template_fields": {}, "notes": [{"user_id": 0, "description": "string", "mentions": ["\u2026"], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": ["\u2026"]}], "conversation_info": {"channel_name": "string", "channel_id": "string", "start_timestamp": "unix-timestamp"}, "created_at": "date-time", "updated_at": "date-time", "external_id": "string", "external_source": "SAAS_GENIE", "external_system_entity_reference": {}}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/change-management/changes',
    headers={'X-Api-Key': '<api-key>'},
    json={"created_by": 0, "requester": 0, "owner": 0, "agent_group": 0, "assignee": 0, "change_type": "string", "change_template": 0, "change_start_date": "date-time", "change_completion_date": "date-time", "planned_change_start_date": "date-time", "planned_change_completion_date": "date-time", "actual_change_start_date": "date-time", "actual_change_completion_date": "date-time", "subject": "string", "priority": "string", "status": "string", "impact": "string", "urgency": "string", "parent_change_id": 0, "parent_display_id": "string", "parent_request_type": "string", "description": "string", "attachments": [0], "tags": [0], "workspace_id": 0, "assets": [0], "linked_requests": ["string"], "custom_fields": {}, "template_fields": {}, "notes": [{"user_id": 0, "description": "string", "mentions": ["\u2026"], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": ["\u2026"]}], "conversation_info": {"channel_name": "string", "channel_id": "string", "start_timestamp": "unix-timestamp"}, "created_at": "date-time", "updated_at": "date-time", "external_id": "string", "external_source": "SAAS_GENIE", "external_system_entity_reference": {}}
)
data = res.json()
```
